"use strict";
exports.__esModule = true;
var jscodeshift = require("jscodeshift");
var explicit_return_to_implicit_1 = require("../explicit-return-to-implicit");
var range = require("../../range");
var test_utils_1 = require("./test-utils");
var specText = require('./specs/explicit-return-to-implicit.txt');
test_utils_1.testSpec(explicit_return_to_implicit_1["default"], specText);
describe('javascript', function () {
    it('do not work on empty return', function () {
        var source = '() => { return }';
        var api = jscodeshift.withParser('babylon');
        var params = {
            j: api,
            ast: api(source),
            selection: range.create(1, 6, 1, 6),
            logger: console
        };
        var action = explicit_return_to_implicit_1["default"].suggestCodeAction(params);
        expect(action).toEqual(null);
    });
});
