"use strict";
exports.__esModule = true;
var Range = require("../range");
var Ast = require("../ast");
var Patch = require("../patch");
var fixer = {
    suggestCodeAction: function (params) {
        var j = params.j, ast = params.ast;
        var node = Ast.findLastNode(ast, j.IfStatement, function (n) { return n.loc !== null && Range.isInside(params.selection, n.loc); });
        if (!node || !node.loc) {
            return null;
        }
        return {
            title: "Flip if-else",
            data: node.loc.start
        };
    },
    createEdit: function (params) {
        var data = params.data, ast = params.ast, j = params.j;
        var node = Ast.findFirstNode(ast, j.IfStatement, function (n) { return Ast.isOnPosition(n, data); });
        if (!node) {
            return null;
        }
        var consequent = node.consequent;
        var alternate = node.alternate;
        if (!alternate) {
            var empty = j.emptyStatement();
            var comment = j.commentLine(' do nothing');
            empty.comments = [comment];
            alternate = j.blockStatement([empty]);
        }
        var test = Ast.negateExpression(j, node.test);
        var newNode = j.ifStatement(test, alternate, consequent);
        return Patch.replaceNode(j, node, newNode);
    }
};
exports["default"] = fixer;
